- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends

# QTemporaryFile Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qtemporaryfile.h.

`#include <qtemporaryfile.h>`

Inheritance diagram for QTemporaryFile:
[legend]

List of all members.

## Public Member Functions
| QTemporaryFile ()
| QTemporaryFile (const QString &templateName)
| QTemporaryFile (QObject *parent)
| QTemporaryFile (const QString &templateName, QObject *parent)
| ~QTemporaryFile ()
bool | autoRemove () const
void | setAutoRemove (bool b)
bool | open ()
QString | fileName () const
QString | fileTemplate () const
void | setFileTemplate (const QString &name)
virtual QAbstractFileEngine * | fileEngine () const
## Static Public Member Functions
static QTemporaryFile * | createLocalFile (const QString &fileName)
static QTemporaryFile * | createLocalFile (QFile &file)
## Protected Member Functions
bool | open (OpenMode flags)
## Friends
class | QFile

## Constructor & Destructor Documentation

QTemporaryFile | ( |  | ) |

QTemporaryFile | ( | const QString & | templateName | ) | `[explicit]`

QTemporaryFile | ( | QObject * | parent | ) | `[explicit]`

QTemporaryFile | ( | const QString & | templateName,
|  | QObject * | parent
| ) |  |

~QTemporaryFile | ( |  | ) |

## Member Function Documentation

bool autoRemove | ( |  | ) | const

Search for all occurrences

void setAutoRemove | ( | bool | b | ) |

Search for all occurrences

bool open | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 82 of file qtemporaryfile.h.

    { return open(QIODevice::ReadWrite); }

QString fileName | ( |  | ) | const

Search for all occurrences

Reimplemented from QFile.

QString fileTemplate | ( |  | ) | const

Search for all occurrences

void setFileTemplate | ( | const QString & | name | ) |

Search for all occurrences

static QTemporaryFile* createLocalFile | ( | const QString & | fileName | ) | `[inline, static]`

Search for all occurrences

Definition at line 88 of file qtemporaryfile.h.

            { QFile file(fileName); return createLocalFile(file); }

static QTemporaryFile* createLocalFile | ( | QFile & | file | ) | `[static]`

Search for all occurrences

virtual QAbstractFileEngine* fileEngine | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QFile.

bool open | ( | OpenMode | flags | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFile.

## Friends And Related Function Documentation

friend class QFile `[friend]`

Search for all occurrences

Definition at line 98 of file qtemporaryfile.h.

The documentation for this class was generated from the following file:

- QtCore/qtemporaryfile.h

QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile
QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile QTemporaryFile